Bug 784141 - (CVE-2012-0804) CVE-2012-0804 cvs: client proxy_connect heap-based buffer overflow
CVE-2012-0804 cvs: client proxy_connect heap-based buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120206,repor...
: Security
Depends On: 784338 784339 784341 784342 787683
Blocks: 784142
  Show dependency treegraph
 
Reported: 2012-01-23 17:59 EST by Vincent Danen
Modified: 2016-03-04 07:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 17:42:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch to correct the flaw in 1.11 branch with back-ported proxy support (698 bytes, patch)
2012-01-23 18:03 EST, Vincent Danen
no flags Details | Diff
Proposed fix for cvs development branch 1.12 (1.03 KB, patch)
2012-02-07 10:31 EST, Petr Pisar
no flags Details | Diff

  None (edit)
Description Vincent Danen 2012-01-23 17:59:52 EST
When correcting a crash in CVS [1] it was found that the CVS client suffers from a flaw that causes a heap overflow.  If certain conditions are met, glib SIGABRTs the process because glibc memory management structures become corrupted.  The flaw is in the proxy_connect() function (src/client.c), where sscanf() copies the first word from read_buf to write_buf without checking if there is enough space in write_buf.

This could allow a malicious HTTP proxy server to cause a denial of service to CVS clients or, possibly, execute arbitrary code on the client system with the privileges of the user running cvs, by sending a malicious HTTP response code to the connecting client.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=773699
Comment 2 Vincent Danen 2012-01-23 18:03:26 EST
Created attachment 557095 [details]
proposed patch to correct the flaw in 1.11 branch with back-ported proxy support
Comment 12 Tomas Hoger 2012-02-06 08:54:01 EST
Lifting embargo.
Comment 13 Tomas Hoger 2012-02-06 09:07:00 EST
Created cvs tracking bugs for this issue

Affects: fedora-all [bug 787683]
Comment 14 Petr Pisar 2012-02-07 10:31:50 EST
Created attachment 559993 [details]
Proposed fix for cvs development branch 1.12
Comment 15 Fedora Update System 2012-02-15 06:29:50 EST
cvs-1.11.23-17.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-02-15 06:36:46 EST
cvs-1.11.23-22.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 errata-xmlrpc 2012-02-21 16:17:48 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:0321 https://rhn.redhat.com/errata/RHSA-2012-0321.html

Note You need to log in before you can comment on or make changes to this bug.